Bug 169211 - new port: emulators/vboxtool, provides effective control of VirtualBox machines
Summary: new port: emulators/vboxtool, provides effective control of VirtualBox machines
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-18 23:40 UTC by pierrejacques.mimifir
Modified: 2012-07-13 10:33 UTC (History)
0 users

See Also:


Attachments
file.shar (5.84 KB, text/plain)
2012-06-18 23:40 UTC, pierrejacques.mimifir
no flags Details
vboxtool.txt (7.37 KB, text/plain; charset=US-ASCII)
2012-06-28 14:59 UTC, pierrejacques.mimifir
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierrejacques.mimifir 2012-06-18 23:40:17 UTC
easy control of virtual machines of VirtualBox (virtualization solution)
on a Linux headless server. Autostart and autosave on boot/halt. Start,
stop, save, backup and show status of sessions in batch mode from command line.

More informations at: http://vboxtool.sourceforge.net/

Fix: Patch attached with submission follows:
Comment 1 Michael Scheidell freebsd_committer 2012-06-22 17:47:35 UTC
Pierre:

Thanks for contributing to FreeBSD.  I am sure that a vboxtool like this 
will be very handy for the people who need it.

A couple of random suggestions:
(sed 's/linux/FreeBSD/' *)... like in pkg-message.

bash:
can you rewrite this using sh? if not, you also need to include bash as 
a RUN_DEPENDS.

/usr/local/

make sure you honor ${PREFIX} and ${LOCALBASE},

one too many //

${WRKSRC}//COPYING.txt
X

RUN_DEPENDS=	${LOCALBASE}/bin/VBoxManage

(skip )${LOCALBASE}/bin/


do_install:

${INSTALL_SCRIPT} -m 0740 will do instead of the extra chmod, right?

vboxtool/files/patch-script-vboxtool.

make it an .* in and pass it so it can honor %%PREFIX%% and %%LOCALBASE%%

vboxtool_conf='/usr/local/etc/vboxtool/vboxtool.conf'

in pkg_add/make/ pkg-plist (with @exec, unexec), you will want to install a sample, and cmp it to conf so you don't overwrite users .conf files.



-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 2 pierrejacques.mimifir 2012-06-27 21:51:02 UTC
Hello Michael,

Thanks for your feed- back.

Today I modified vboxtool which include your suggestions.

Can you tell me how can I submit this version please?
Comment 3 Michael Scheidell freebsd_committer 2012-07-12 20:43:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 4 dfilter service freebsd_committer 2012-07-13 10:17:11 UTC
scheidell    2012-07-13 09:17:01 UTC

  FreeBSD ports repository

  Modified files:
    emulators            Makefile 
  Added files:
    emulators/vboxtool   Makefile distinfo pkg-descr pkg-plist 
    emulators/vboxtool/files machines.conf patch-script-vboxtool 
                             patch-script-vboxtoolinit 
                             vboxtool.conf 
  Log:
  Addport: emulators/vtoolbox Provides effective control of virtual machines of VirtualBox
  icon-external-link.png (virtualization solution) on a FreeBSD
  headless server, published as free and open source software.
  
  WWW: http://vboxtool.sourceforge.net
  
  PR:             ports/169211
  Submitted by:   pjm
  
  Revision  Changes    Path
  1.333     +1 -0      ports/emulators/Makefile
  1.1       +45 -0     ports/emulators/vboxtool/Makefile (new)
  1.1       +2 -0      ports/emulators/vboxtool/distinfo (new)
  1.1       +9 -0      ports/emulators/vboxtool/files/machines.conf (new)
  1.1       +37 -0     ports/emulators/vboxtool/files/patch-script-vboxtool (new)
  1.1       +39 -0     ports/emulators/vboxtool/files/patch-script-vboxtoolinit (new)
  1.1       +2 -0      ports/emulators/vboxtool/files/vboxtool.conf (new)
  1.1       +5 -0      ports/emulators/vboxtool/pkg-descr (new)
  1.1       +8 -0      ports/emulators/vboxtool/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Michael Scheidell freebsd_committer 2012-07-13 10:33:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!